 package com.tanpu.feo.feojob.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tanpu.feo.feojob.web.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Entity
 *
 * @author zejia zj wu 2021年05月26日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("user_info")
public class JyzyUserInfoEntity implements Serializable {

    private static final long serialVersionUID = 1L;
	/** 微信openId */
	private String uiOpenid;
	/** unionId */
	private String uiUnionid;
	/** 手机号 */
	private String uiTelphone;
	/** 昵称 */
	private String uiNickname;
	/** 头像 */
	private String uiHeadimg;
	/** 姓名 */
	private String uiUsername;
	/** 性别 0：男 1：女 */
	private String uiSex;
	/** 生日 */
	private Date uiBirthday;
	/** 个人介绍 */
	private String uiIntroduction;
	/** 名片样式 0：小名片 1：大名片 */
	private String uiTypeMp;
	/** 名片头像 */
	private String uiHeadimgMp;
	/** 名片姓名 */
	private String uiUsernameMp;
	/** 名片电话 */
	private String uiTelphoneMp;
	/** 手机 */
	private String uiMobilephoneMp;
	/** 名片公司名称 */
	private String uiCompanyMp;
	/** 名片公司地址 */
	private String uiCompanyAddressMp;
	/** 名片职位 */
	private String uiPositionMp;
	/** 行业 */
	private String uiIndustryMp;
	/** 名片邮箱 */
	private String uiEmailMp;
	/** 名片个人介绍 */
	private String uiIntroductionMp;
	/** 微信个人二维码名片 */
	private String uiWechatQrcode;
	/** 小程序二维码 */
	private String uiWechatXcxQrcode;
	/** 类型 0：app注册 1：平台添加 */
	private String uiType;
	/** 用户身份 0：普通用户 1：种子用户 2：超级用户 */
	private String uiShenfen;
	/** 认证状态 0:未认证 1:已认证 */
	private Integer uiRzstatus;
	/** 机构Id */
	private String orgId;
	/** 团队Id */
	private String teamId;
	/** 加入团队时间 */
	private Date joinTime;
	/** 员工工号 */
	private String staffNo;
	/** 合格投资者认证状态 */
	private Integer investorCertifiedStatus;
	/** 合格投资者认证时间 */
	private Date investorCertifiedTime;
	/** 对外合作权限 */
	private String toPartner;
	/** 等级 */
	private String uiGrade;
	/** 内容审核 */
	private Integer contentReview;
	/** 所获荣誉 */
	private String uiHonor;
	/** 海报扫码关注公众号引流人 */
	private String uiHbUserid;
	/**  */
	private String staffRegion;
	/**  */
	private String branchName;
	/**  */
	private String subBranchName;
	/**  */
	private String branchNetworkName;
	/**  */
	private String uiGradeName;
	/**  */
	private String uiTargetGradeName;
	/**  */
	private String uiSource;
	/** 创建时间 */
	private Date createtime;
	/** 创建人 */
	private String createby;
	/** 修改时间 */
	private Date updatetime;
	/** 修改人 */
	private String updateby;
	/** 删除标识 */
	private String deletetag;
	/** 前端角色 */
	private String frontRoles;
	/** 名片检查 */
	private Integer uiCheckStatus;
	/**  */
	private String city;
	/**  */
	private String province;
	/**  */
	private String country;
	/**  */
	private String uiInviter;
	/**  */
	private String uiInviterPhone;
	/**  */
	private Integer uiAge;
	/**  */
	private String uiRegion;
	/**  */
	private String uiWecaht;
	/**  */
	private Date uiInviterTime;
	/** 企业微信名称 */
	private String uiWechatQy;
	/** 企业微信联系方式的配置id */
	private String uiCpConfigId;
	/** 联系二维码的URL */
	private String uiCpQrCode;
	/** 自定义二维码   */
	private String customQr;

	/** ID */
	private String id;

    /** id 构造器*/
    public JyzyUserInfoEntity(String id) {
       setId(id);
    }
}
